Skip to content

Get a match (v1)

GET/v1/matches/{matchId}

GET
/v1/matches/{matchId}
curl --request GET \
--url https://api.ligr.live/rest/v1/matches/1 \
--header 'Authorization: Bearer <token>'

Return the match with the given ID. Tennis matches are not supported in v1; use v2 instead. Accepts the include query parameter with codes t, v, c, o, p, s, one level deep.

matchId
required

Entity identifier

integer format: int32
>= 1

The match identifier

include

Comma seperated string of entity abbreviations Allows optional population of nested entities c = competition v = venue t = teams o = overlays p = players s = streams cp = competitors e.g. ‘c,v,t,o,p,cp’

string

Comma seperated string of nested entity abbreviations to include in request

Ok

Media typeapplication/json
Any of:
object
id
required

Entity identifier

integer format: int32
>= 1
name
required

Match name

string
>= 5 characters <= 42 characters
date
required
string format: date-time
competitionId
required

Entity identifier

integer format: int32
>= 1
sport
required
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis
liveStatus
required

The liveStatus of the match as defined by the period

string
Allowed values: live break
finishedStatus
required
string
Allowed values: finished pregame cancelled inProgress abandoned retirement finishedEarly
venueId
required

Entity identifier

integer format: int32
>= 1
dataProvider
object
name
required
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL
id
required
string
homeTeamId

Entity identifier

integer format: int32
>= 1
awayTeamId

Entity identifier

integer format: int32
>= 1
Example
{
"sport": "football",
"liveStatus": "live",
"finishedStatus": "finished",
"dataProvider": {
"name": "RB"
}
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Match not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}